package com.ruoyi.llm.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * cmc聊天附件对象 cmc_document
 * 
 * @author cmc
 * @date 2025-04-08
 */
public class CmcDocument extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件id */
    private String documentId;

    /** 聊天记录id */
    @Excel(name = "聊天记录id")
    private String chatId;

    /** 附件 */
    @Excel(name = "附件")
    private String path;

    public void setDocumentId(String documentId) 
    {
        this.documentId = documentId;
    }

    public String getDocumentId() 
    {
        return documentId;
    }
    public void setChatId(String chatId) 
    {
        this.chatId = chatId;
    }

    public String getChatId() 
    {
        return chatId;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("documentId", getDocumentId())
            .append("chatId", getChatId())
            .append("path", getPath())
            .toString();
    }
}
